Task # 9089 (Assigned): UC ADC cards

Make readout methods (to be used by artdaq)
10/09/2015 02:47 PM - Jonathan Eisch

Status: Assigned Start date: 10/16/2015
Priority: Normal Due date: 12/23/2015
Assignee: Jonathan Eisch % Done: 100%
Category: Estimated time: 6.00 hours
Target version: Spent time: 0.00 hour
Description

History

#1 - 12/17/2015 05:26 PM - Jonathan Eisch
- Due date changed from 10/19/2015 to 12/23/2015
- % Done changed from 0 to 80

Sufficient generic methods implemented for a testing interface.

Can communicate with the boards to set and read configuration, and do DMA data transfers.

After testing and firmware development, solidify the optimal operating procedure and implement that into specific task-based methods (initialize board,
start taking data, check for triggers, transfer data, etc.)

#2 - 01/25/2018 07:16 AM - Matthew Wetstein
- % Done changed from 80 to 100
